Skip to main content
PUT
/
api
/
decks
/
{deckId}
/
qa-settings
Update Q&A settings
curl --request PUT \
  --url https://app.demandiq.com/api/decks/{deckId}/qa-settings \
  --header 'Content-Type: application/json' \
  --data @- <<EOF
{
  "resumePromptText": "Great question! Now, let's get back to your proposal.",
  "transitionPromptText": "Moving on to the next section of your presentation."
}
EOF
{
  "qaSettings": {
    "resumePromptText": "<string>",
    "resumePromptAudioUrl": "<string>",
    "resumePromptWordTimings": [
      {
        "word": "<string>",
        "startTime": 123,
        "endTime": 123
      }
    ],
    "transitionPromptText": "<string>",
    "transitionPromptAudioUrl": "<string>",
    "transitionPromptWordTimings": [
      {
        "word": "<string>",
        "startTime": 123,
        "endTime": 123
      }
    ]
  }
}

Path Parameters

deckId
string<uuid>
required

Deck ID

Body

application/json
resumePromptText
string
Example:

"Great question! Now, let's get back to your proposal."

transitionPromptText
string
Example:

"Moving on to the next section of your presentation."

Response

200 - application/json

Q&A settings updated

qaSettings
object